Delete Data List Item
curl --request DELETE \
--url https://api.swoogo.com/api/v1/data-list-items/delete/{data_list_item_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.swoogo.com/api/v1/data-list-items/delete/{data_list_item_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swoogo.com/api/v1/data-list-items/delete/{data_list_item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Data List Items
Delete Data List Item
Permanently deletes an item from a data list. The option will no longer appear in custom field dropdowns. Existing registrant records that selected this item will retain the value but it will not be selectable for new entries.
DELETE
/
data-list-items
/
delete
/
{data_list_item_id}
Delete Data List Item
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the item you want to delete
Example:
1
Response
⌘I